/*
 * Copyright (C), 2000-2003 by Contributors to the monit codebase. 
 * All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef ALERT_H
#define ALERT_H

#include <config.h>
#include "monitor.h"

/** Default mail from string */
#define ALERT_FROM    "monit@$HOST"

/** Default mail subject */
#define ALERT_SUBJECT "monit alert -- $PROGRAM $EVENT"

/** Default mail message */
#define ALERT_MESSAGE "Program $PROGRAM $EVENT\r\n\r\n\tDate: $DATE\r\n"\
	      "\tHost: $HOST\r\n\r\nYour faithful employee,\r\nmonit\r\n"

void  smtp_alert_timeout(Process_T, char *, ...);
void  smtp_alert_restart(Process_T, char *, ...);
void  smtp_alert_checksum(Process_T, char *, ...);
void  smtp_alert_resource(Process_T, char *, ...);
void  smtp_alert_stop(Process_T, char *, ...);
void  smtp_alert_failed(Process_T, char *, ...);
void  smtp_alert_timestamp(Process_T, char *, ...);

#endif
