/*
 * Copyright (C), 2000-2003 by Contributors to the monit codebase. 
 * All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef NET_H
#define NET_H

#include <config.h>

#include "monitor.h"

#define SELECT_TIMEOUT     5
#define LINGER_TIMEOUT     10
#define TRUE               1
#define FALSE              0

int  check_connect(char*, int, int);
int  check_host(char *);
int  check_connection_io(Port_T);
int  check_socket(int);
int  check_udp_socket(int);
int  create_socket(char*, int, int);
int  create_generic_socket(Port_T);
int  create_unix_socket(char*, int);
int  create_server_socket(int, int, char *bindAddr);
int  close_socket(int);
int  set_sotimeout(int, int);
int  set_noblock(int);
int  set_block(int);
int  sock_send(int, const char *, int, int);
int  sock_recv(int, char *, int, int);
int  port_send(Port_T p, const char *, int, int);
int  port_recv(Port_T p, char *, int, int);
char *get_localhostname(); 
char *get_remote_host(int);

#endif
